# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""add htcondor_job_id to workflow_requests table

Revision ID: 6da65f58304a
Revises: dd04b15a2b10
Create Date: 2021-08-25 11:36:55.640135

"""
from alembic import op

# revision identifiers, used by Alembic.
revision = "6da65f58304a"
down_revision = "dd04b15a2b10"
branch_labels = None
depends_on = None


def upgrade():
    op.execute("ALTER TABLE workflow_requests ADD COLUMN IF NOT EXISTS htcondor_job_id NUMERIC DEFAULT NULL")


def downgrade():
    op.execute("ALTER TABLE workflow_requests DROP COLUMN IF EXISTS htcondor_job_id")
